Saltar al contenido principal
POST
/
image
/
edit
/api/v1/image/edit
curl --request POST \
  --url https://api.venice.ai/api/v1/image/edit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Colorize",
  "image": "iVBORw0KGgoAAAANSUhEUgAAAgAAAAIACAIAAAB7GkOtAAAAIGNIUk0A..."
}
'
"<string>"
Este es un endpoint experimental y puede estar sujeto a cambios.
Precio: el precio de edición de imágenes varía según el modelo. El modelo predeterminado (qwen-edit) cuesta 0,04 $ por edición. Consulta el endpoint de Models para ver todos los modelos de edición disponibles y sus precios.

Niveles de calidad

Algunos modelos de edición aceptan un parámetro opcional quality (low, medium, high) que intercambia fidelidad visual por coste. Actualmente lo admite gpt-image-2-edit; otros modelos ignoran el parámetro.
{
  "model": "gpt-image-2-edit",
  "image": "iVBORw0KGgo...",
  "prompt": "change the sky to a sunrise",
  "resolution": "2K",
  "quality": "medium"
}
Cuando omites quality, el modelo utiliza su nivel predeterminado (high para gpt-image-2-edit). Los precios por nivel (1K/2K/4K × low/medium/high) están en model_spec.pricing.quality en el endpoint de Models y se listan en la vista general de precios.
La facturación según la calidad es la predeterminada para todos los llamadores de la API y del SDK: no se requiere ninguna cabecera de activación. Las solicitudes que omiten quality se facturan al nivel predeterminado del modelo (high para gpt-image-2-edit).

Colección de Postman

Para ver más ejemplos, consulta esta Colección de Postman.
El modelo predeterminado (qwen-edit) bloquea las solicitudes que intentan generar imágenes sexuales explícitas, sexualizar a menores o representar violencia del mundo real. Otros modelos pueden tener políticas de contenido diferentes.

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

Edit an image based on the supplied prompt.

image
requerido

The image to edit. Can be either a file upload, a base64-encoded string, or a URL starting with http:// or https://. Image dimensions must be at least 65536 pixels and must not exceed 33177600 pixels. File size must be less than 25MB.

prompt
string
requerido

The text directions to edit or modify the image. Short, descriptive prompts work best (e.g., "remove the tree", "change the sky to sunrise"). Character limit is model specific and is listed in the promptCharacterLimit setting in the model list endpoint.

Required string length: 1 - 32768
Ejemplo:

"Change the color of the sky to a sunrise"

aspect_ratio
enum<string>

The aspect ratio for the output image. Use 'auto' or omit this parameter to infer the closest supported aspect ratio from the input image when explicit sizing is required by the model. Supported values vary by model - check GET /api/v1/models for model-specific options.

Opciones disponibles:
auto,
1:1,
3:2,
16:9,
21:9,
9:16,
2:3,
3:4,
4:5
Ejemplo:

"16:9"

resolution
string

Resolution tier for the output image (e.g. "1K", "2K", "4K"). Supported values vary by model - check GET /api/v1/models for model-specific options. Defaults to "1K" when not specified.

Required string length: 1 - 10
Ejemplo:

"1K"

model
string
predeterminado:firered-image-edit

The model ID to use for image editing.

Minimum string length: 1
modelId
enum<string>
obsoleto

Deprecated: Use "model" instead. The model ID to use for image editing.

Opciones disponibles:
firered-image-edit,
qwen-edit,
qwen-edit-uncensored,
grok-imagine-edit,
grok-imagine-quality-edit,
qwen-image-2-edit,
qwen-image-2-pro-edit,
wan-2-7-pro-edit,
flux-2-max-edit,
gpt-image-2-edit,
gpt-image-1-5-edit,
nano-banana-2-edit,
nano-banana-pro-edit,
seedream-v5-lite-edit,
seedream-v4-edit
Minimum string length: 1
output_format
enum<string>

Output format for the edited image. Accepts jpeg, jpg, png, or webp. When omitted, the format is inferred from resolution: PNG for 1K edits and JPEG for 2K/4K edits.

Opciones disponibles:
jpeg,
png,
webp
Ejemplo:

"png"

safe_mode
boolean
predeterminado:true

Whether to use safe mode. If enabled, this will blur images that are classified as having adult content.

Ejemplo:

false

Respuesta

OK

The response is of type file.